## libgd2 2.1.0

=== CMakeLists.txt ===
# $Id$

SET(PACKAGE GD)
SET(PACKAGE_NAME GD)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
CMAKE_POLICY(SET CMP0017 OLD)
PROJECT(GD)

SET(CMAKE_MODULE_PATH "${GD_SOURCE_DIR}/cmake/modules")

OPTION(ENABLE_PNG "Enable PNG support" 0)
OPTION(ENABLE_LIQ "Enable libimagequant support" 0)
OPTION(ENABLE_JPEG "Enable JPEG support" 0)
OPTION(ENABLE_TIFF "Enable TIFF support" 0)
OPTION(ENABLE_XPM "Enable XPM support" 0)
OPTION(ENABLE_FREETYPE "Enable Freetype2 support" 0)
OPTION(ENABLE_FONTCONFIG "Enable FontConfig support" 0)
OPTION(ENABLE_WEBP "Enable WebP support" 0)

if (BUILD_TEST)
	ENABLE_TESTING()
endif(BUILD_TEST)

# if you would like to pass C flags to the compiler, then just
# - specify -DCMAKE_C_FLAGS=... on invocation of cmake, or
# - specify CFLAGS=... on invocation of make
IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_C_FLAGS_DEBUG "-g -Wall -Wextra -O0") # will be added to CMAKE_C_FLAGS when CMAKE_BUILD_TYPE is "Debug"
ENDIF(CMAKE_COMPILER_IS_GNUCC)
SET (CMAKE_LIBRARY_OUTPUT_DIRECTORY 
  ${PROJECT_BINARY_DIR}/Bin 
  CACHE PATH 
  "Single Directory for all Libraries" 
  )

# --------- Setup the Executable output Directory ------------- 
SET (CMAKE_RUNTIME_OUTPUT_DIRECTORY 
  ${PROJECT_BINARY_DIR}/Bin 
  CACHE PATH 
  "Single Directory for all Executables." 
  )

# --------- Setup the Executable output Directory ------------- 
SET (CMAKE_ARCHIVE_OUTPUT_DIRECTORY 
  ${PROJECT_BINARY_DIR}/Bin 
  CACHE PATH 
  "Single Directory for all static libraries." 
  )

if (USE_EXT_GD)
	message("Using GD at: ${USE_EXT_GD}")
	INCLUDE_DIRECTORIES(BEFORE ${GD_INCLUDE_DIR})
	FIND_PACKAGE(GD)
	if (GD_FOUND)
		INCLUDE_DIRECTORIES(BEFORE ${GD_INCLUDE_DIR})
		LINK_DIRECTORIES(${GD_LIBRARIES})
		SET(GD_LIB ${GD_LIBRARIES})
		SET(GD_LIBS_DIR ${GD_LIBRARY})

		message("GD libs #: ${GD_LIBRARIES}")
		message("GD lib #: ${GD_LIBRARY}")
		message("GD include: ${GD_INCLUDE_DIR}")
	else (GD_FOUND)
		message("No gd found")
	endif (GD_FOUND)
else (USE_EXT_GD)

	SET(GD_VERSION_MAJOR "2")
	SET(GD_VERSION_MINOR "1")
	SET(GD_VERSION_PATCH "0")
	SET(GD_VERSION_EXTRA "-alpha1")
	SET(GD_VERSION "${GD_VERSION_MAJOR}.${GD_VERSION_MINOR}.${GD_VERSION_PATCH}${GD_VERSION_EXTRA}")
	SET(GD_VERSION_STRING "${GD_VERSION}")

	SET(GD_VERSION_INT "20100")

	SET(CMAKE_REQUIRED_INCLUDES "/usr/include" "/usr/local/include")

	include(CheckIncludeFiles)
	include(CheckIncludeFile)

	include(AC_HEADER_STDC)
	include(CheckPrototypeExists)

	if (ENABLE_PNG)
		FIND_PACKAGE(PNG REQUIRED)
	endif (ENABLE_PNG)

	FIND_PACKAGE(ZLIB)

	IF (ENABLE_WEBP)
		FIND_PACKAGE(VPX)
	ENDIF (ENABLE_WEBP)

	IF (ENABLE_LIQ)
		FIND_PACKAGE(LIQ)
	ENDIF (ENABLE_LIQ)

	IF (NOT WIN32)
		FIND_PACKAGE(PTHREAD)
	ENDIF (NOT WIN32)

	if (ENABLE_JPEG)
		FIND_PACKAGE(JPEG)
	endif (ENABLE_JPEG)

	if (ENABLE_TIFF)
		FIND_PACKAGE(TIFF)
	endif (ENABLE_TIFF)

	if (ENABLE_FREETYPE)
		FIND_PACKAGE(Freetype)
	endif (ENABLE_FREETYPE)

	if (ENABLE_XPM)
		FIND_PACKAGE(XPM)
	endif (ENABLE_XPM)

	if (ENABLE_FONTCONFIG)
		FIND_PACKAGE(FontConfig)
	endif (ENABLE_FONTCONFIG)

	if (FREETYPE_FOUND)
		INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
		SET(HAVE_FT2BUILD_H 1)
		SET(HAVE_LIBFREETYPE 1)
	ENDIF(FREETYPE_FOUND)

	IF(ZLIB_FOUND)
		INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
		SET(HAVE_LIBZ 1)
	ENDIF(ZLIB_FOUND)

	IF(VPX_FOUND)
		INCLUDE_DIRECTORIES(${VPX_INCLUDE_DIR})
		SET(HAVE_LIBVPX 1)
	ENDIF(VPX_FOUND)

	IF(PNG_FOUND)
		INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
		SET(HAVE_LIBPNG 1)
	ENDIF(PNG_FOUND)

	IF(LIQ_FOUND)
		INCLUDE_DIRECTORIES(${LIQ_INCLUDE_DIR})
		SET(HAVE_LIBIMAGEQUANT_H 1)
	ENDIF(LIQ_FOUND)

	IF(XPM_FOUND)
		INCLUDE_DIRECTORIES(${XPM_INCLUDE_DIR})
		SET(HAVE_LIBXPM 1)
	ENDIF(XPM_FOUND)

	IF(JPEG_FOUND)
		INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
		SET(HAVE_LIBJPEG 1)
	ENDIF(JPEG_FOUND)

	IF(TIFF_FOUND)
		INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
		SET(HAVE_LIBTIFF 1)
	ENDIF(TIFF_FOUND)

	IF(FONTCONFIG_FOUND)
		INCLUDE_DIRECTORIES(${FONTCONFIG_INCLUDE_DIR})
		SET(HAVE_LIBFONTCONFIG 1)
	ELSE (FONTCONFIG_FOUND)
		SET(FONTCONFIG_LIBRARY "")
		SET(FONTCONFIG_INCLUDE_DIR "")
		SET(FONTCONFIG_LIB_DIR "")
	ENDIF(FONTCONFIG_FOUND)

	SET(HAVE_CONFIG_H 1)

	ADD_DEFINITIONS(-DHAVE_CONFIG_H)

	CHECK_INCLUDE_FILE("stdint.h"	HAVE_STDINT_H)
	CHECK_INCLUDE_FILE("inttypes.h"	HAVE_INTTYPES_H)

	CONFIGURE_FILE(${GD_SOURCE_DIR}/src/config.h.cmake ${GD_SOURCE_DIR}/src/config.h ESCAPE_QUOTES)


	set(BUILD_SHARED_LIBS On)

	if (WIN32)
		SET(GD_LIB libgd)
		ADD_DEFINITIONS( -DWIN32 -D_WIN32 -DMSWIN32 -DBGDWIN32 -DWINVER=0x0500  -D_WIN32_WINNT=0x0500 -D_WIN32_IE=0x0600)

		if(NOT MINGW AND MSVC_VERSION GREATER 1399)
			ADD_DEFINITIONS("/D_CRT_SECURE_NO_DEPRECATE")
		endif(NOT MINGW AND MSVC_VERSION GREATER 1399)
		if (MINGW OR MSYS)
			ADD_DEFINITIONS("-mms-bitfields -m32")
		endif (MINGW OR MSYS)
	else (WIN32)
		SET(GD_LIB gd)
	endif (WIN32)

	SET(GD_LIB_STATIC "${GD_LIB}-static")

	IF(PROFILE)
		add_definitions("-pg")
		set(CMAKE_EXE_LINKER_FLAGS ${LINK_FLAGS} "-pg")
	ENDIF(PROFILE)

	SET(GD_INCLUDE_DIR "${GD_SOURCE_DIR}/src" "${GD_SOURCE_DIR}")
	INCLUDE_DIRECTORIES(before ${FONTCONFIG_INCLUDE_DIR})

	add_subdirectory(src)
endif (USE_EXT_GD)

add_subdirectory(tests)
add_subdirectory(examples)
add_subdirectory(docs)

SET(CPACK_PACKAGE_NAME "libgd")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "libGD, powerful and easy to use graphic library")
SET(CPACK_PACKAGE_VENDOR "http://www.libgd.org")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "1")
SET(CPACK_PACKAGE_VERSION_PATCH "0")

if(WIN32)
	set(CPACK_GENERATOR ZIP)
else(WIN32)
	set(CPACK_GENERATOR TGZ)
endif(WIN32)

IF (ENABLE_LIQ AND LIQ_BUILD)
    ADD_DEPENDENCIES(${GD_LIB} libimagequant)
    ADD_DEPENDENCIES(${GD_LIB_STATIC} libimagequant)
ENDIF(ENABLE_LIQ AND LIQ_BUILD)


INSTALL(FILES docs/INSTALL DESTINATION share/docs)
INSTALL(FILES docs/README.JPN DESTINATION share/docs)
INSTALL(FILES docs/README.CMAKE DESTINATION share/docs)
INSTALL(FILES docs/README.TESTING DESTINATION share/docs)
INSTALL(FILES docs/README.TXT DESTINATION share/docs)


INSTALL(FILES examples/arc.c DESTINATION share/docs)
INSTALL(FILES examples/copyrotated.c DESTINATION share/docs)
INSTALL(FILES examples/crop.c DESTINATION share/docs)
INSTALL(FILES examples/flip.c DESTINATION share/docs)
INSTALL(FILES examples/gif.c DESTINATION share/docs)
INSTALL(FILES examples/nnquant.c DESTINATION share/docs)
INSTALL(FILES examples/noIcon.pic DESTINATION share/docs)
INSTALL(FILES examples/noIcon.sgi DESTINATION share/docs)
INSTALL(FILES examples/noIcon.tga DESTINATION share/docs)
INSTALL(FILES examples/noIconAlpha.tga DESTINATION share/docs)
INSTALL(FILES examples/test_crop_threshold.png DESTINATION share/docs)
INSTALL(FILES examples/tgaread.c DESTINATION share/docs)
INSTALL(FILES examples/tiffread.c DESTINATION share/docs)
INSTALL(FILES examples/windows.c DESTINATION share/docs)


set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")

set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_SOURCE_IGNORE_FILES
"~$"
"\\\\.swp$"
"\\\\.gitignore$"
"^${PROJECT_SOURCE_DIR}/debian/"
"^${PROJECT_SOURCE_DIR}/old/"
"^${PROJECT_SOURCE_DIR}/bld/"
)
install(FILES ${top_level_DOCFILES} DESTINATION ${DOC_DIR})
INCLUDE(CPack)

=== src/CMakeLists.txt ===

SET (LIBGD_SRC_FILES
	gd.c
	gdfx.c
	gdfx.h
	gd_color.c
	gd_color.h
	gd_color_map.c
	gd_color_map.h
	gd_crop.c
	gd_transform.c
	gd_security.c
	gdpp.cxx
	gdpp.h
	gd_bmp.c
	bmp.h
	gd_filter.c
	gd_gd.c
	gd_gd2.c
	gd_io.c
	gd_io.h
	gd_io_stream.cxx
	gd_io_stream.h
	gd_io_dp.c
	gd_interpolation.c
	gd_gif_in.c
	gd_gif_out.c
	gd_io_file.c
	gd_io_ss.c
	gd_jpeg.c
	gd_matrix.c
	gd_nnquant.c
	gd_nnquant.h
	gd_png.c
	gd_rotate.c
	gd_tiff.c
	gd_tga.c
	gd_tga.h
	gd_ss.c
	gd_topal.c
	gd_wbmp.c
	gdcache.c
	gdcache.h
	gdfontg.c
	gdfontg.h
	gdfontl.c
	gdfontl.h
	gdfontmb.c
	gdfontmb.h
	gdfonts.c
	gdfonts.h
	gdfontt.c
	gdfontt.h
	gdft.c
	gdhelpers.c
	gdhelpers.h
	gdkanji.c
	gdtables.c
	gdxpm.c
	jisx0208.h
	wbmp.c
	gd.h
	wbmp.h
	gd_webp.c
	webpimg.c
	gd_xbm.c
)

add_library(${GD_LIB} ${LIBGD_SRC_FILES})
add_library(${GD_LIB_STATIC} STATIC  ${LIBGD_SRC_FILES})

if (WIN32 AND NOT MINGW AND NOT MSYS)
#	SET_TARGET_PROPERTIES(${GD_LIB} PROPERTIES LINK_FLAGS "/NODEFAULTLIB:msvcrt.lib")
SET_PROPERTY(TARGET ${GD_LIB_STATIC} APPEND PROPERTY COMPILE_DEFINITIONS NONDLL=1)
ENDIF(WIN32 AND NOT MINGW AND NOT MSYS)

if (MINGW OR MSYS)
	ADD_DEFINITIONS("-mms-bitfields")
endif (MINGW OR MSYS)

INCLUDE_DIRECTORIES(BEFORE "${PROJECT_BINARY_DIR}" "${CMAKE_BINARY_DIR}" "${GD_SOURCE_DIR}/src")

target_link_libraries(${GD_LIB} ${ZLIB_LIBRARIES} ${FREETYPE_LIBRARIES} ${PNG_LIBRARIES} ${LIQ_LIBRARIES} ${JPEG_LIBRARIES} ${TIFF_LIBRARIES} ${XPM_LIBRARIES} ${FONTCONFIG_LIBRARY} ${VPX_LIBRARIES})
target_link_libraries(${GD_LIB_STATIC} ${ZLIB_LIBRARIES} ${FREETYPE_LIBRARIES} ${PNG_LIBRARIES} ${LIQ_LIBRARIES} ${JPEG_LIBRARIES} ${TIFF_LIBRARIES} ${XPM_LIBRARIES} ${FONTCONFIG_LIBRARY} ${VPX_LIBRARIES} )

set(GD_PROGRAMS annotate gdparttopng gdtopng gd2copypal gd2topng pngtogd pngtogd2 webpng gd2togif gdcmpgif giftogd2)
foreach(program ${GD_PROGRAMS})
    add_executable(${program} ${program}.c)
    target_link_libraries(${program} ${GD_LIB})
endforeach(program)

install(TARGETS ${GD_LIB} ${GD_LIB_STATIC} ${GD_PROGRAMS}
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)
install(PROGRAMS bdftogd DESTINATION bin)
install(FILES gd.h gdfx.h gd_io.h gdcache.h gdfontg.h gdfontl.h gdfontmb.h gdfonts.h gdfontt.h gd_color_map.h gd_errors.h DESTINATION include)

=== tests/bmp/CMakeLists.txt ===

SET(TESTS_FILES
	bmp_im2im
	bmp_null
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest ${GD_LIB})
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== tests/freetype/CMakeLists.txt ===
SET(TESTS_FILES
	bug00132
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== tests/gd/CMakeLists.txt ===

SET(TESTS_FILES
	gd_im2im
	gd_null
	gd_num_colors
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== tests/gd2/CMakeLists.txt ===

SET(TESTS_FILES
	gd2_read
	gd2_empty_file
	gd2_im2im
	gd2_null
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== tests/gdimagecolorclosest/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagecolorclosest
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== tests/gdimagecolordeallocate/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagecolordeallocate
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== tests/gdimagecolorreplace/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagecolorreplace
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== tests/gdimagecolorresolve/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagecolorresolve
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== tests/gdimagecolortransparent/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagecolortransparent
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== tests/gdimagecopy/CMakeLists.txt ===
SET(TESTS_FILES
	bug00007
	bug00081
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)

=== debian/changelog ===
libgd2 (2.1.0-3) unstable; urgency=low

  * Enable subdir-objects in AC_INIT_AUTOMAKE (Closes: #724841)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Sep 2013 11:10:16 +0200

libgd2 (2.1.0-2) unstable; urgency=low

  * Properly quote GD_EXTRA_VERSIOn and GD_VERSION_STRING
    (Courtesy of Marc Deslauriers) (Closes: #714363)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Jun 2013 15:44:28 +0200

libgd2 (2.1.0-1) unstable; urgency=low

  * New upstream version 2.1.0
  * Remove patches merged upstream and pull a fix for incorrect
    compiled-in version

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Jun 2013 10:02:00 +0200

libgd2 (2.1.0~rc2-2) unstable; urgency=low

  * Pull new upstream tests and fixes (fixes the FTBFS on 32-bit archs)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 10 Jun 2013 09:46:52 +0200

libgd2 (2.1.0~rc2-1) unstable; urgency=low

  * New upstream version 2.1.0~rc2
  * font-pattern-pointer-deref.patch: Remove, merged upstream
  * Add new gdImageClone symbol in upstream libgd3 library

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Jun 2013 13:30:36 +0200

libgd2 (2.1.0~rc1-2) unstable; urgency=low

  [ Colin Watson ]
  * Add missing pointer dereference in font_pattern (closes: #709050).

  [ Ondřej Surý ]
  * "I will test my changes with piuparts" release (Closes: #708111)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 May 2013 19:43:22 +0200

libgd2 (2.1.0~rc1-1) unstable; urgency=low

  * Imported Upstream version 2.1.0~rc1
  * Remove patches merged in upstream

 -- Ondřej Surý <ondrej@debian.org>  Fri, 24 May 2013 09:09:47 +0200

libgd2 (2.1.0~alpha1-6) unstable; urgency=low

  * Fix libgd2-dev -> libgd-dev in transitional packages
    (Closes: #708111)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2013 13:24:57 +0200

libgd2 (2.1.0~alpha1-5) unstable; urgency=low

  * Drop chrpath, it's not needed when we switched to libtiff-dev and it
    was broken anyway.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 May 2013 10:28:27 +0200

libgd2 (2.1.0~alpha1-4) unstable; urgency=low

  * Build-Depend and Depend on libtiff-dev to make binNMUs easier
  * Fix libgd-dev dependency from libpng12-dev to libpng-dev
  * Don't ignore errors in postinst scripts
  * Fix debhelper-but-no-misc-depends in transitional packages
  * Silence invalid warning about virtual package depends on libgd-dev
  * Add missing Files: * to debian/copyright main License block
  * Explicitly call --with-tiff=/usr to catch tiff 3.x without pkg-config
  * Enable full hardening build

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 May 2013 17:47:54 +0200

libgd2 (2.1.0~alpha1-3) unstable; urgency=low

  * Build-depend on libtiff5-alt-dev to easy the transition
  * Pull some upstream fixes (Closes: #709074, #709074)
  * Add pkg-config support for tiff-4 (and others) to allow compilation
    against libtiff5-alt-dev (pull from upstream)
  * libgd-dev now depends on libtiff5-alt-dev | libtiff5-dev | libtiff-dev
  * Remove RPATH from binaries, it's not needed

 -- Ondřej Surý <ondrej@debian.org>  Fri, 17 May 2013 15:32:27 +0200

libgd2 (2.1.0~alpha1-2) unstable; urgency=low

  * Upload to unstable
  * Build-depend on libtiff5-dev | libtiff-dev to allow easier backports
  * Remove libjpeg skip test patch, add HAVE_CONFIG_H patch (Closes: #708413)
  * Yet another rename when uploading to unstable:
    + development library package to libgd-dev
    + shared library package to libgd3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 May 2013 13:42:49 +0200

libgd2 (2.1.0~alpha1-1) experimental; urgency=low

  * Update copyright with correct cmake module authors
  * Imported Upstream version 2.1.0~alpha1
  * Update debian/watch to bitbucket.org
  * Add docdir symlinks in postinst for transitional packages when
    upgrading (Closes: #708111)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 May 2013 16:57:19 +0200

libgd2 (2.1.0~alpha~8+ecc535-2) experimental; urgency=low

  * Build-Depend on libpng-dev (Closes: #662401)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 May 2013 12:09:12 +0200

libgd2 (2.1.0~alpha~8+ecc535-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~8+ecc535
  * Imported Upstream version 2.1.0~alpha~7+292b0a
  * Imported Upstream version 2.1.0~alpha~6+bc7015
  * Remove Breaks: php5-common, since it also clashes with PHP 5.4
  * Introduce libgd2-dbg package with debug symbols

 -- Ondřej Surý <ondrej@debian.org>  Sun, 05 May 2013 10:42:20 +0200

libgd2 (2.1.0~alpha~5+9ca645-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~5+9ca645
   + This build changes the double->int conversion in clip_1d
     hopefully allowing the tests to pass correctly

 -- Ondřej Surý <ondrej@debian.org>  Sat, 27 Apr 2013 09:15:08 +0200

libgd2 (2.1.0~alpha~4+cf9d7f-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~3
  * Imported Upstream version 2.1.0~alpha~4+cf9d7f
  * Disable jpeg_read test which is broken with libjpeg8
  * Add couple of new symbols and remove gdImageAntialias, that didn't
    make it to 2.1.0; add Breaks: php5 (<< 5.5.0~beta4)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Apr 2013 12:17:06 +0200

libgd2 (2.1.0~alpha~2-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~2
  * Update debian/libgd2-3.symbols with new functions

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Apr 2013 09:35:28 +0200

libgd2 (2.1.0~alpha~1-2) experimental; urgency=low

  * Introduce transitional packages for libgd2-{noxpm,xpm}-dev
  * Don't install separate docs for transitional packages
  * Fix some formatting errors in gdlib-config.1 manpage
  * Fix the xmp->xpm typo

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Apr 2013 08:58:45 +0200

libgd2 (2.1.0~alpha~1-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~1
    (upstream 2.1.0-alpha git snapshot)
  * Update uploaders to include me and remove Jonas
  * Update gbp.conf for experimental
  * Switch the build system to debhelper


=== debian/control ===
Source: libgd2
Section: graphics
Priority: optional
Maintainer: GD team <pkg-gd-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
	   Sean Finney <seanius@debian.org>
Build-Depends: autotools-dev,
	       debhelper (>= 9),
	       libpng-dev,
	       libz-dev,
	       libjpeg-dev,
	       libfreetype6-dev,
	       libxpm-dev,
	       libx11-dev,
	       libxt-dev,
	       libfontconfig-dev,
	       libvpx-dev,
	       libtiff-dev,
	       dh-autoreconf,
	       html2text
Vcs-Git: git://anonscm.debian.org/git/collab-maint/libgd
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/libgd.git;a=summary
Standards-Version: 3.9.3
Homepage: http://www.libgd.org/

Package: libgd-tools
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: libgd-dev
Description: GD command line tools and example code
 GD is a graphics library. It allows your code to quickly draw images
 complete with lines, arcs, text, multiple colours, cut and paste from
 other images, flood fills, and write out the result as a PNG file.
 This is particularly useful in World Wide Web applications, where PNG is
 one of the formats accepted for inline images by most browsers.
 .
 This is some simple command line tools and example code that use the GD
 graphics library.

Package: libgd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgd3 (= ${binary:Version}),
	 ${misc:Depends},
	 libpng-dev,
	 libz-dev,
	 libjpeg-dev,
	 libfreetype6-dev,
	 libxpm-dev,
	 libx11-dev,
	 libxt-dev,
	 libfontconfig-dev,
	 libvpx-dev,
	 libtiff-dev
Breaks: libgd2-xpm-dev (<< 2.1.0~), libgd2-noxpm-dev (<< 2.1.0~), libgd2-dev (<< 2.1.0~alpha1-2~)
Replaces: libgd2-xpm-dev (<< 2.1.0~), libgd2-noxpm-dev (<< 2.1.0~), libgd2-dev (<< 2.1.0~alpha1-2~)
Provides: libgd2-xpm-dev, libgd2-noxpm-dev, libgd2-dev
Description: GD Graphics Library (development version)
 GD is a graphics library. It allows your code to quickly draw images
 complete with lines, arcs, text, multiple colours, cut and paste from
 other images, flood fills, and write out the result as a PNG file.
 This is particularly useful in World Wide Web applications, where PNG is
 one of the formats accepted for inline images by most browsers.
 .
 This is the full development version of the library.

Package: libgd3
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libgd-tools
Description: GD Graphics Library
 GD is a graphics library. It allows your code to quickly draw images
 complete with lines, arcs, text, multiple colours, cut and paste from
 other images, flood fills, and write out the result as a PNG file.
 This is particularly useful in World Wide Web applications, where PNG is
 one of the formats accepted for inline images by most browsers.
 .
 This is the runtime package of the library.

Package: libgd-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Recommends: gdb
Depends: ${misc:Depends}, libgd3 (= ${binary:Version}) | libgd-tools (= ${binary:Version})
Description: Debug symbols for GD Graphics Library
 GD is a graphics library. It allows your code to quickly draw images
 complete with lines, arcs, text, multiple colours, cut and paste from
 other images, flood fills, and write out the result as a PNG file.
 This is particularly useful in World Wide Web applications, where PNG is
 one of the formats accepted for inline images by most browsers.
 .
 These are the debug symbols for the library and tools.

Package: libgd2-xpm-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, libgd-dev
Multi-Arch: foreign
Description: GD Graphics Library (transitional package)
 This is a dummy transition package that can be safely removed once no
 package depend on it.

Package: libgd2-noxpm-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, libgd-dev
Multi-Arch: foreign
Description: GD Graphics Library (transitional package)
 This is a dummy transition package that can be safely removed once no
 package depend on it.

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
opts="uversionmangle=s/RC/~rc/,dversionmangle=s/\~dfsg$//" \
	https://bitbucket.org/libgd/gd-libgd/downloads/gd-([\.0-9].*).tar.xz debian

## libgd2 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # $Id$
+CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
 
 SET(PACKAGE GD)
 SET(PACKAGE_NAME GD)
 
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
 CMAKE_POLICY(SET CMP0017 OLD)
 PROJECT(GD)
 
@@ -13,6 +13,7 @@
 OPTION(ENABLE_LIQ "Enable libimagequant support" 0)
 OPTION(ENABLE_JPEG "Enable JPEG support" 0)
 OPTION(ENABLE_TIFF "Enable TIFF support" 0)
+OPTION(ENABLE_ICONV "Enable ICONV support" 0)
 OPTION(ENABLE_XPM "Enable XPM support" 0)
 OPTION(ENABLE_FREETYPE "Enable Freetype2 support" 0)
 OPTION(ENABLE_FONTCONFIG "Enable FontConfig support" 0)
@@ -68,12 +69,12 @@
 
 	SET(GD_VERSION_MAJOR "2")
 	SET(GD_VERSION_MINOR "1")
-	SET(GD_VERSION_PATCH "0")
-	SET(GD_VERSION_EXTRA "-alpha1")
+	SET(GD_VERSION_PATCH "1")
+	SET(GD_VERSION_EXTRA "")
 	SET(GD_VERSION "${GD_VERSION_MAJOR}.${GD_VERSION_MINOR}.${GD_VERSION_PATCH}${GD_VERSION_EXTRA}")
 	SET(GD_VERSION_STRING "${GD_VERSION}")
 
-	SET(GD_VERSION_INT "20100")
+	SET(GD_VERSION_INT "20101")
 
 	SET(CMAKE_REQUIRED_INCLUDES "/usr/include" "/usr/local/include")
 
@@ -86,6 +87,10 @@
 	if (ENABLE_PNG)
 		FIND_PACKAGE(PNG REQUIRED)
 	endif (ENABLE_PNG)
+	
+	if (ENABLE_ICONV)
+		FIND_PACKAGE(ICONV REQUIRED)
+	endif (ENABLE_ICONV)
 
 	FIND_PACKAGE(ZLIB)
 
@@ -141,6 +146,12 @@
 		INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
 		SET(HAVE_LIBPNG 1)
 	ENDIF(PNG_FOUND)
+	
+	IF(ICONV_FOUND)
+		INCLUDE_DIRECTORIES(${ICONV_INCLUDE_DIR})
+		SET(HAVE_ICONV 1)
+		SET(HAVE_ICONV_H 1)
+	ENDIF(ICONV_FOUND)
 
 	IF(LIQ_FOUND)
 		INCLUDE_DIRECTORIES(${LIQ_INCLUDE_DIR})
@@ -191,13 +202,13 @@
 			ADD_DEFINITIONS("/D_CRT_SECURE_NO_DEPRECATE")
 		endif(NOT MINGW AND MSVC_VERSION GREATER 1399)
 		if (MINGW OR MSYS)
-			ADD_DEFINITIONS("-mms-bitfields -m32")
+			ADD_DEFINITIONS("-mms-bitfields") # -m32
 		endif (MINGW OR MSYS)
 	else (WIN32)
 		SET(GD_LIB gd)
 	endif (WIN32)
 
-	SET(GD_LIB_STATIC "${GD_LIB}-static")
+	SET(GD_LIB_STATIC "${GD_LIB}_static")
 
 	IF(PROFILE)
 		add_definitions("-pg")

=== tests/bmp/CMakeLists.txt ===

SET(TESTS_FILES
	bmp_im2im
	bmp_null
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest ${GD_LIB})
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/gdimagecolordeallocate/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagecolordeallocate
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/gdimagecolortransparent/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagecolortransparent
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/gdimagecopy/CMakeLists.txt ===
SET(TESTS_FILES
	bug00007
	bug00081
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/gdimagecopyrotated/CMakeLists.txt ===

SET(TESTS_FILES
	bug00020
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/gdimageline/CMakeLists.txt ===
SET(TESTS_FILES
	gdimageline_aa
	gdimageline_aa_outofrange
	bug00077
	bug00072
	bug00111
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/gdimagepolygon/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagepolygon0
	gdimagepolygon1
	gdimagepolygon2
	gdimagepolygon3
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/gdimagerotate/CMakeLists.txt ===
SET(TESTS_FILES
	bug00067
	php_bug_64898
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/gdimagescatterex/CMakeLists.txt ===
SET(TESTS_FILES
	bug00208_1
	bug00208_2
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/gdtiled/CMakeLists.txt ===
SET(TESTS_FILES
	bug00032
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== tests/jpeg/CMakeLists.txt ===

SET(TESTS_FILES
	jpeg_im2im
	jpeg_null
	jpeg_read
	jpeg_empty_file
	jpeg_resolution
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	add_test(NAME ${test_name} COMMAND ${test_name})
ENDFOREACH(test_name)

=== debian/changelog ===
libgd2 (2.1.1-4build2) xenial; urgency=medium

  * Rebuild against libvpx3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Jan 2016 00:57:20 +0000

libgd2 (2.1.1-4build1) wily; urgency=medium

  * No-change rebuild against new libvpx

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 24 Jul 2015 17:58:20 +0100

libgd2 (2.1.1-4) unstable; urgency=medium

  * Fix xmp vs xpm typo in Provides (Closes: #791435)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Jul 2015 13:09:26 +0200

libgd2 (2.1.1-3) unstable; urgency=medium

  * Add libgd-{no,}xmp-dev to libgd-dev Provides to fix FTBFS in packages
    still depending on old name (Closes: #791435).  Thanks Mattia Rizzolo
    for catching this early.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Jul 2015 08:59:00 +0200

libgd2 (2.1.1-2) unstable; urgency=medium

  * Drop libgd2-{xpm,noxmp}-dev dummy packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Jun 2015 13:38:39 +0200

libgd2 (2.1.1-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Fix build against libvpx 1.4 (Closes: #785403)

  [ Mario Lang ]
  * Fix Vcs-* URL in debian/control.

  [ Ondřej Surý ]
  * New upstream version 2.1.1
  * Update patches for GD 2.1.1 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 May 2015 11:22:50 +0200

libgd2 (2.1.0-5) unstable; urgency=high

  * Remove seanius from Uploaders.  So Long, and Thanks for All the Fish.
    (Closes: #773439)
  * Fix buffer overflow found by Jan Bee and fixed by Remi Collet

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Dec 2014 13:30:57 +0100

libgd2 (2.1.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make package binNMU-safe by converting empty transitional packages
    to arch=any. (Closes: #762325)

 -- Andreas Barth <aba@ayous.org>  Sun, 28 Sep 2014 12:01:30 +0000

libgd2 (2.1.0-4) unstable; urgency=medium

  * [CVE-2014-2497]: NULL pointer dereference

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Aug 2014 11:07:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: GD team <pkg-gd-devel@lists.alioth.debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>,
-	   Sean Finney <seanius@debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: autotools-dev,
 	       debhelper (>= 9),
 	       libpng-dev,
@@ -18,8 +17,8 @@
 	       libtiff-dev,
 	       dh-autoreconf,
 	       html2text
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/libgd
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/libgd.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/libgd2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/libgd2.git;a=summary
 Standards-Version: 3.9.3
 Homepage: http://www.libgd.org/
 
@@ -55,7 +54,7 @@
 	 libtiff-dev
 Breaks: libgd2-xpm-dev (<< 2.1.0~), libgd2-noxpm-dev (<< 2.1.0~), libgd2-dev (<< 2.1.0~alpha1-2~)
 Replaces: libgd2-xpm-dev (<< 2.1.0~), libgd2-noxpm-dev (<< 2.1.0~), libgd2-dev (<< 2.1.0~alpha1-2~)
-Provides: libgd2-xpm-dev, libgd2-noxpm-dev, libgd2-dev
+Provides: libgd2-dev, libgd2-xpm-dev, libgd2-noxpm-dev
 Description: GD Graphics Library (development version)
  GD is a graphics library. It allows your code to quickly draw images
  complete with lines, arcs, text, multiple colours, cut and paste from
@@ -96,23 +95,3 @@
  one of the formats accepted for inline images by most browsers.
  .
  These are the debug symbols for the library and tools.
-
-Package: libgd2-xpm-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, libgd-dev
-Multi-Arch: foreign
-Description: GD Graphics Library (transitional package)
- This is a dummy transition package that can be safely removed once no
- package depend on it.
-
-Package: libgd2-noxpm-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, libgd-dev
-Multi-Arch: foreign
-Description: GD Graphics Library (transitional package)
- This is a dummy transition package that can be safely removed once no
- package depend on it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --with-tiff=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install --fail-missing -Xlibgd.la

override_dh_installdocs:
	dh_installdocs -plibgd2-xpm-dev -plibgd2-noxpm-dev --link-doc=libgd-dev
	dh_installdocs --remaining-packages

override_dh_strip:
	dh_strip --dbg-package=libgd-dbg

## libgd2 2.2.1

=== debian/changelog ===
libgd2 (2.2.1-1ubuntu3) yakkety; urgency=medium

  * SECURITY UPDATE: out of bounds read in TGA file parsing
    - debian/patches/CVE-2016-6132.patch: properly validate image data in
      src/gd_tga.c.
    - CVE-2016-6132
  * SECURITY UPDATE: OOB or OOM in gdImageScale
    - debian/patches/CVE-2016-6207.patch: check for overflows, use floats,
      and check return codes in src/gd.c, src/gd_interpolation.c.
    - CVE-2016-6207
  * SECURITY UPDATE: out-of-bounds read issue with unsupported TGA
    bpp/alphabit combinations
    - debian/patches/CVE-2016-6214.patch: improve checks in src/gd_tga.c.
    - CVE-2016-6214

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Aug 2016 13:55:18 -0400

libgd2 (2.2.1-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild against libwebp6

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 08 Aug 2016 13:22:20 +0100

libgd2 (2.2.1-1ubuntu1) yakkety; urgency=medium

  * SECURITY UPDATE: integer overflow in _gd2GetHeader()
    - debian/patches/CVE-2016-5766.patch: check for overflow in
      src/gd_gd2.c.
    - CVE-2016-5766
  * SECURITY UPDATE: denial of service via invalid color index
    - debian/patches/CVE-2016-6128.patch: check color index in
      src/gd_crop.c, added test to tests/CMakeLists.txt, tests/Makefile.am,
      tests/gdimagecrop/.gitignore, tests/gdimagecrop/CMakeLists.txt,
      tests/gdimagecrop/Makemodule.am, tests/gdimagecrop/php_bug_72494.c.
    - CVE-2016-6128

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Jul 2016 14:05:30 -0400

libgd2 (2.2.1-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Imported Debian patch 2.1.1-4.1

  [ Ondřej Surý ]
  * Imported Upstream version 2.2.0
  * Delete obsolete patches
  * Don't install obsolete gdlib-config
  * [CVE-2015-8874]: Stack consumption vulnerability in GD allows remote
    attackers to cause a denial of service via a crafted imagefilltoborder
    call
  * Build with libwebp-dev instead of old libvpx-dev
  * Initialize full_filename in tests/gdimagefile/gdnametest.c
  * Imported Upstream version 2.2.1
  * CVE-2015-8874 is now fixed in the upstream release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 May 2016 14:39:37 +0200

libgd2 (2.1.1-4.1) unstable; urgency=high

  * Non-maintainer upload (with Ondrej's approval directly uploaded)
  * CVE-2016-3074: Signedness vulnerability causing heap overflow
    (Closes: #822242)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 23 Apr 2016 10:49:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_auto_configure -- --disable-rpath --with-tiff=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_install:
-	dh_install --fail-missing -Xlibgd.la
+	dh_install --fail-missing -Xlibgd.la -Xgdlib-config
 
 override_dh_installdocs:
 	dh_installdocs -plibgd2-xpm-dev -plibgd2-noxpm-dev --link-doc=libgd-dev

## libgd2 2.2.4

=== tests/fontconfig/CMakeLists.txt ===
IF(FREETYPE_FOUND AND FONTCONFIG_FOUND)
LIST(APPEND TESTS_FILES
    basic
)
ENDIF(FREETYPE_FOUND AND FONTCONFIG_FOUND)

ADD_GD_TESTS()

=== tests/gdimagearc/CMakeLists.txt ===
SET(TESTS_FILES
	bug00079
)

ADD_GD_TESTS()

=== tests/gdimagebrightness/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	basic
)

ADD_GD_TESTS()

=== tests/gdimagefilledpolygon/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagefilledpolygon0
	gdimagefilledpolygon1
	gdimagefilledpolygon2
	gdimagefilledpolygon3
	bug00100
	php_bug_64641
	self_intersecting
)

ADD_GD_TESTS()

=== tests/gdimagerectangle/CMakeLists.txt ===
SET(TESTS_FILES
	bug00003
	bug00106_gdimagerectangle
	bug00299
	github_bug_00172
	point_ordering
)

ADD_GD_TESTS()

=== tests/gdimagescale/CMakeLists.txt ===
SET(TESTS_FILES
	bug00329
	bug00330
	github_bug_00218
	bug_overflow_large_new_size
)

ADD_GD_TESTS()

=== tests/gdimagescatterex/CMakeLists.txt ===
SET(TESTS_FILES
	bug00208_1
	bug00208_2
)

ADD_GD_TESTS()

=== tests/gdimagesetpixel/CMakeLists.txt ===
SET(TESTS_FILES
	alpha_blending
	bug00186
	gdeffectoverlay
	gdeffectmultiply
)

ADD_GD_TESTS()

=== tests/gdtransformaffineboundingbox/CMakeLists.txt ===
SET(TESTS_FILES
	github_bug_00221
)

ADD_GD_TESTS()

=== tests/gif/CMakeLists.txt ===
SET(TESTS_FILES
	gif_im2im
	gif_null
	bug00005
	bug00005_2
	bug00006
	bug00060
	bug00066
	bug00181
	bug00227
)

ADD_GD_TESTS()

=== tests/xbm/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	github_bug_170
)

ADD_GD_TESTS()

=== debian/changelog ===
libgd2 (2.2.4-2+deb9u5) stretch; urgency=high

  * Fix CVE-2019-11038: Uninitialized read in gdImageCreateFromXbm
    (Closes: #929821)

 -- Jonas Meurer <jonas@freesources.org>  Tue, 11 Jun 2019 17:33:42 +0200

libgd2 (2.2.4-2+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Heap-based buffer overflow in gdImageColorMatch (CVE-2019-6977)
    (Closes: #920645)
  * Potential double-free in gdImage*Ptr() (CVE-2019-6978) (Closes: #920728)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Feb 2019 10:49:03 +0100

libgd2 (2.2.4-2+deb9u3) stretch; urgency=medium

  * CVE-2018-1000222 (Closes: #906886)
  * CVE-2018-5711 (Closes: #887485)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 07 Sep 2018 19:29:19 +0200

libgd2 (2.2.4-2+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-6362: Double-free in gdImagePngPtr()

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 31 Aug 2017 14:45:16 +0200

libgd2 (2.2.4-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-7890: Fix unitialized memory read vulnerability in GIF reading
    (Closes: #869263)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Aug 2017 07:14:26 +0200

libgd2 (2.2.4-2) unstable; urgency=medium

  * Apply correct patch on tiff_invalid_read

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jan 2017 21:06:46 +0100

libgd2 (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * Rebase patches on top of libgd-2.2.4 release
  * Disable tiff/tiff_invalid_read test

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jan 2017 12:11:06 +0100

libgd2 (2.2.3-87-gd0fec80-3) unstable; urgency=medium

  * Disable tests/gdimagegrayscale as it breaks the 32-bit builds

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Nov 2016 09:37:59 +0100

libgd2 (2.2.3-87-gd0fec80-2) unstable; urgency=medium

  * [CVE-2016-6911]: Fix invalid read in gdImageCreateFromTiffPtr()
    (Closes: #840806)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Nov 2016 23:38:28 +0100

libgd2 (2.2.3-87-gd0fec80-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3-87-gd0fec80
   + [CVE-2016-8670]: Stack Buffer Overflow in GD dynamicGetbuf
   + [CVE-2016-6911]: invalid read in gdImageCreateFromTiffPtr()
   + [CVE-2016-7568]: Integer overflow in gdImageWebpCtx
   (Closes: #840805, #840806, #839659)
  * Refresh patches on top of git snapshot 2.2.3-87-gd0fec80
  * Replace -dbg with -dbgsym packages
  * Disable php_bug_72339 that has overflow constant
  * Fix error: ISO C99 requires at least one argument for the "..." in a variadic macro

 -- Ondřej Surý <ondrej@debian.org>  Mon, 31 Oct 2016 09:56:49 +0100

libgd2 (2.2.3-3) unstable; urgency=medium

  * Initialize error in tests/gd2/gd2_read.c

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Jul 2016 11:04:33 +0200

libgd2 (2.2.3-2) unstable; urgency=medium

  * Remove the failing test from the test suite rather than juggling with
    architecture tests (Closes: #832390)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Jul 2016 09:12:12 +0200

libgd2 (2.2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Jul 2016 09:03:38 +0200

libgd2 (2.2.2-43-g22cba39-2) unstable; urgency=medium

  * Use DEB_HOST_ARCH instead of DEB_HOST_GNU_CPU to detect i386
    (Closes: #832390)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Jul 2016 09:57:12 +0200

libgd2 (2.2.2-43-g22cba39-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2-43-g22cba39
  * Don't fail on failed tests to fix i386 FTBFS
  * Add default debian rules include to skip checking tests only on i386

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Jul 2016 07:34:04 +0200

libgd2 (2.2.2-29-g3c2b605-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2-29-g3c2b605
   + [CVE-2016-5766]: Fix Integer Overflow in _gd2GetHeader() resulting in
     heap overflow (Closes: #829014)
   + [CVE-2016-6128]: Fix invalid color index not handled, can lead to
     crash (Closes: #829062)
   + [CVE-2016-6161]: Add upstream patch to fix gif: avoid out-of-bound
     reads of masks array
   + [CVE-2016-6132]: Fix out-of-bounds read in the parsing of TGA files
     (Closes: #829694)
   + [CVE-2016-6214]: Fix read out-of-bands was found in TGA
   + Fix another out-of-bounds read in read_image_tga (upstream #248)
  * Remove patches merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jul 2016 10:53:07 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	       libx11-dev,
 	       libxt-dev,
 	       libfontconfig-dev,
-	       libvpx-dev,
+	       libwebp-dev,
 	       libtiff-dev,
 	       dh-autoreconf,
 	       html2text
@@ -79,19 +79,3 @@
  one of the formats accepted for inline images by most browsers.
  .
  This is the runtime package of the library.
-
-Package: libgd-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Recommends: gdb
-Depends: ${misc:Depends}, libgd3 (= ${binary:Version}) | libgd-tools (= ${binary:Version})
-Description: Debug symbols for GD Graphics Library
- GD is a graphics library. It allows your code to quickly draw images
- complete with lines, arcs, text, multiple colours, cut and paste from
- other images, flood fills, and write out the result as a PNG file.
- This is particularly useful in World Wide Web applications, where PNG is
- one of the formats accepted for inline images by most browsers.
- .
- These are the debug symbols for the library and tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fno-omit-frame-pointer
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --with-tiff=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install --fail-missing -Xlibgd.la -Xgdlib-config

override_dh_installdocs:
	dh_installdocs -plibgd2-xpm-dev -plibgd2-noxpm-dev --link-doc=libgd-dev
	dh_installdocs --remaining-packages

override_dh_strip:
	dh_strip -O--dbgsym-migration='libgd-dbg (<< 2.2.3-87-gd0fec80-1)'
